@each $color, $value in $colors {
  .btn-#{$color} {
    @include button-variant($value, $value);
  }
}

@each $color, $value in $colors {
  .btn-outline-#{$color} {
    @include button-outline-variant($value);
  }
}
.btn{
  font-size: 14px;
  & + &{
    margin-left: 15px;
  }
  &.mw {
    min-width: 100px;
    text-align: center;
  }
}

.btn-sm {
  &.mw {
    min-width: 80px;
  }
}

.btn-lg {
  &.mw {
    min-width: 120px;
  }
}

.btn-transparent {
  color: $primary;
  @include hover-focus {
    color: $primary;
    background-color: $gray-100;
    box-shadow: none;
  }
}
.btn-icon-split {
  padding: 0;
  overflow: hidden;
  display: inline-flex;
  align-items: stretch;
  justify-content: center;
  .icon {
    background: rgba(0,0,0,0.15);
    display: inline-block;
    padding: .375rem .75rem;
  }
  .text {
    display: inline-block;
    padding: .375rem .75rem;
  }
  &.btn-sm {
    .icon, .text {
      padding: 0.25rem 0.5rem;
    }
  }
}
.btn-circle {
  height: 2.5rem;
  width: 2.5rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  border-radius: 100%;
  &.btn-xs {
    height: 1rem;
    width: 1rem;
    font-size: 0.5rem;
  }
  &.btn-lg {
    height: 4rem;
    width: 4rem;
  }
}

button.close {
  &.btn-sm {
    font-size: 1rem;
  }
}

@each $breakpoint in map-keys($grid-breakpoints) {
  @include media-breakpoint-up($breakpoint) {
    $infix: breakpoint-infix($breakpoint, $grid-breakpoints);
    .btn#{$infix}-inline-block {
      display: inline-block;
      width: initial;
    }
  }
}

.btn-group {
  &.type-filter {
    margin: 0;
    .item {
      margin-right: 1rem;
      font-size: 14px;
      .count {
        margin-left: 0.25rem;
        margin-bottom: 0.25rem;
      }
    }
    .btn {
      color: $tertiary;
      font-weight: $font-weight-bold;
      padding: 0.25rem 0;
      border: 0;
      border-bottom: 3px solid transparent;
      &.active {
        color: $dark;
        border-bottom-color: transparent;
      }
      @include hover-focus {
        background-color: transparent;
        box-shadow: none;
        color: $dark;
      }
    }
  }
}